[arch-commits] Commit in xf86-video-vmware/repos (3 files)

Jan de Groot jgc at archlinux.org
Mon Nov 2 05:08:03 EST 2009


    Date: Monday, November 2, 2009 @ 05:08:03
  Author: jgc
Revision: 57797

Merged revisions 57796 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/xf86-video-vmware/trunk

........
  r57796 | jgc | 2009-11-02 11:07:47 +0100 (Mon, 02 Nov 2009) | 2 lines
  
  upgpkg: xf86-video-vmware 10.16.8-2
      Fix unresolved symbols with xorg-server 1.7.1
........

Added:
  xf86-video-vmware/repos/extra-x86_64/abi2.patch
    (from rev 57796, xf86-video-vmware/trunk/abi2.patch)
Modified:
  xf86-video-vmware/repos/extra-x86_64/	(properties)
  xf86-video-vmware/repos/extra-x86_64/PKGBUILD

------------+
 PKGBUILD   |   10 +++++++---
 abi2.patch |   38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 3 deletions(-)


Property changes on: xf86-video-vmware/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xf86-video-vmware/trunk:1-55670
   + /xf86-video-vmware/trunk:1-57796

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-02 10:07:47 UTC (rev 57796)
+++ extra-x86_64/PKGBUILD	2009-11-02 10:08:03 UTC (rev 57797)
@@ -3,7 +3,7 @@
 
 pkgname=xf86-video-vmware
 pkgver=10.16.8
-pkgrel=1
+pkgrel=2
 pkgdesc="X.org vmware video driver"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
@@ -14,14 +14,18 @@
 groups=('xorg-video-drivers')
 options=('!libtool')
 source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2
-	LICENSE)
+        abi2.patch
+        LICENSE)
 md5sums=('25287a202c986b33bd79fbe379c96a16'
+         'cbc8e0bef13ccec7ceac233cd09233da'
          'f846374287a2bae21570ae8de883fb4d')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/abi2.patch" || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
-  install -D -m644 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -D -m644 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/" || return 1
 }

Copied: xf86-video-vmware/repos/extra-x86_64/abi2.patch (from rev 57796, xf86-video-vmware/trunk/abi2.patch)
===================================================================
--- extra-x86_64/abi2.patch	                        (rev 0)
+++ extra-x86_64/abi2.patch	2009-11-02 10:08:03 UTC (rev 57797)
@@ -0,0 +1,38 @@
+diff -up xf86-video-vmware-10.16.7/src/vmware.c.jx xf86-video-vmware-10.16.7/src/vmware.c
+--- xf86-video-vmware-10.16.7/src/vmware.c.jx	2009-08-07 16:31:33.000000000 -0400
++++ xf86-video-vmware-10.16.7/src/vmware.c	2009-08-07 16:32:10.000000000 -0400
+@@ -640,8 +640,6 @@ VMWAREPreInit(ScrnInfoPtr pScrn, int fla
+         return FALSE;
+     }
+ 
+-    xf86LoaderReqSymLists(vgahwSymbols, NULL);
+-
+     if (!vgaHWGetHWRec(pScrn)) {
+         return FALSE;
+     }
+@@ -959,7 +957,6 @@ VMWAREPreInit(ScrnInfoPtr pScrn, int fla
+         VMWAREFreeRec(pScrn);
+         return FALSE;
+     }
+-    xf86LoaderReqSymLists(fbSymbols, shadowfbSymbols, NULL);
+ 
+     /* Need ramdac for hwcursor */
+     if (pVMWARE->hwCursor) {
+@@ -967,7 +964,6 @@ VMWAREPreInit(ScrnInfoPtr pScrn, int fla
+             VMWAREFreeRec(pScrn);
+             return FALSE;
+         }
+-        xf86LoaderReqSymLists(ramdacSymbols, NULL);
+     }
+ 
+     return TRUE;
+@@ -2051,9 +2047,6 @@ vmwareSetup(pointer module, pointer opts
+         setupDone = TRUE;
+         xf86AddDriver(&VMWARE, module, VMWARE_DRIVER_FUNC);
+ 
+-        LoaderRefSymLists(vgahwSymbols, fbSymbols, ramdacSymbols,
+-                          shadowfbSymbols, NULL);
+-
+         return (pointer)1;
+     }
+     if (errmaj) {



More information about the arch-commits mailing list